<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Wed Aug 25 22:08:27 CEST 2021 -->
<title>ItemRepository</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-25">
<meta name="description" content="declaration: package: com.zelyvanna.bdoefficiency.repository, interface: ItemRepository">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.zelyvanna.bdoefficiency.repository</a></div>
<h1 title="Interface ItemRepository" class="title">Interface ItemRepository</h1>
</div>
<div class="contentContainer">
<section class="description">
<dl>
<dt>All Superinterfaces:</dt>
<dd><code>org.springframework.data.repository.CrudRepository&lt;<a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a>,&#8203;java.lang.Long&gt;</code>, <code>org.springframework.data.jpa.repository.JpaRepository&lt;<a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a>,&#8203;java.lang.Long&gt;</code>, <code>org.springframework.data.repository.PagingAndSortingRepository&lt;<a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a>,&#8203;java.lang.Long&gt;</code>, <code>org.springframework.data.repository.query.QueryByExampleExecutor&lt;<a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a>&gt;</code>, <code>org.springframework.data.repository.Repository&lt;<a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a>,&#8203;java.lang.Long&gt;</code></dd>
</dl>
<hr>
<pre>@Repository
public interface <span class="typeNameLabel">ItemRepository</span>
extends org.springframework.data.jpa.repository.JpaRepository&lt;<a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a>,&#8203;java.lang.Long&gt;</pre>
<div class="block">Item Repository</div>
</section>
<section class="summary">
<ul class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteById(int)">deleteById</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Deletes an item by its id</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code><a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findById(int)">findById</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Finds an item by its id</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>java.util.List&lt;<a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findByNameContaining(java.lang.String)">findByNameContaining</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Search for the items's names containing the name in parameter</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.CrudRepository</h3>
<a id="methods.inherited.from.class.org.springframework.data.repository.CrudRepository">
<!--   -->
</a><code>count, delete, deleteAll, deleteAll, deleteById, existsById, findById, save</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;org.springframework.data.jpa.repository.JpaRepository</h3>
<a id="methods.inherited.from.class.org.springframework.data.jpa.repository.JpaRepository">
<!--   -->
</a><code>deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getOne, saveAll, saveAndFlush</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.PagingAndSortingRepository</h3>
<a id="methods.inherited.from.class.org.springframework.data.repository.PagingAndSortingRepository">
<!--   -->
</a><code>findAll</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.query.QueryByExampleExecutor</h3>
<a id="methods.inherited.from.class.org.springframework.data.repository.query.QueryByExampleExecutor">
<!--   -->
</a><code>count, exists, findAll, findOne</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="findByNameContaining(java.lang.String)">findByNameContaining</a></h3>
<div class="memberSignature"><span class="returnType">java.util.List&lt;<a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a>&gt;</span>&nbsp;<span class="memberName">findByNameContaining</span>&#8203;(<span class="arguments">java.lang.String&nbsp;name)</span></div>
<div class="block">Search for the items's names containing the name in parameter</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - name of the items to search</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of items found corresponding to the given name</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="findById(int)">findById</a></h3>
<div class="memberSignature"><span class="returnType"><a href="../model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></span>&nbsp;<span class="memberName">findById</span>&#8203;(<span class="arguments">int&nbsp;id)</span></div>
<div class="block">Finds an item by its id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - item's unique identifier</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Item that has been found</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteById(int)">deleteById</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">deleteById</span>&#8203;(<span class="arguments">int&nbsp;id)</span></div>
<div class="block">Deletes an item by its id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - item's unique identifier</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
